import { md } from '../../filters.ts';
import Head from '../Head.tsx';
import Background from '../Background.tsx';

export default ({
  title,
  content,
  code,

  language,
  otherLang,
  baseURL,
  theme,
  extraStylesheets,
  extraScripts,
  cacheBust,
}) => <>
  <html lang={language.slug}>
    <Head
      title={title}
      theme={theme}
      otherLang={otherLang}
      baseURL={baseURL}
      extraStylesheets={extraStylesheets}
      cacheBust={cacheBust}
      extraScripts={extraScripts}
    />
    <body className="ps-main">
      <Background />

      <main className="ps-main--page ps-page ps-page_home">
        <section
          lang="en"
          id="en"
          className="ps-page--section"
        >
          <div
            dangerouslySetInnerHTML={{ __html: md(content) }}
            className="ps-page--section-contents"
          ></div>
        </section>
      </main>
    </body>
  </html>
</>;
