import { md } from '../../filters.ts';
import Head from '../Head.tsx';
import Background from '../Background.tsx';
import Langlink from '../Langlink.tsx';

export default ({
  title,
  content,
  links,

  language,
  otherLang,
  baseURL,
  theme,
  extraStylesheets,
  extraScripts,
  cacheBust,
}) => <>
  <html lang={language.slug}>
    <Head
      title={title}
      theme={theme}
      otherLang={otherLang}
      baseURL={baseURL}
      extraStylesheets={extraStylesheets}
      cacheBust={cacheBust}
      extraScripts={extraScripts}
    />
    <body className="ps-main">
      <Background />

      <Langlink otherLang={otherLang} baseURL={baseURL} />

      <main className="ps-main--page ps-page ps-page_home">
        <section
          className="ps-page--contents"
          dangerouslySetInnerHTML={{ __html: md(content) }}
        ></section>

        <section className="ps-page--links">
          {links.map(({ href, title, openInNewTab }) => 
            <a
              href={href}
              target={openInNewTab ? '_blank' : '_self'}
              className="ps-page--link"
              key={href}
            >{title}</a>
          )}
        </section>
      </main>
    </body>
  </html>
</>;
