import { md } from '../../filters.ts';
import Head from '../Head.tsx';
import Background from '../Background.tsx';
import Homelink from '../Homelink.tsx';
import HakkenDates from '../HakkenDates.tsx';

export default ({
  title,
  content,

  language,
  otherLang,
  baseURL,
  theme,
  extraStylesheets,
  extraScripts,
  cacheBust,

  showHakkenDates,
  hakken,
}) => <>
  <html lang={language.slug}>
    <Head
      title={title}
      theme={theme}
      otherLang={otherLang}
      baseURL={baseURL}
      extraStylesheets={extraStylesheets}
      cacheBust={cacheBust}
      extraScripts={[...(extraScripts || []), '/scripts/copy-code.js']}
    />
    <body className="ps-main">

      <Background />

      <Homelink />

      <main className="ps-main--page ps-page">
        <div
          dangerouslySetInnerHTML={{ __html: md(content) }}
          className="ps-page--contents"
        ></div>

        {showHakkenDates ? <HakkenDates lang="en" className="ps-page--contents" data={hakken} /> : null}
      </main>
    </body>
  </html>
</>;
