{
  description = "pub.solar website";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs@{ self, ... }:
    inputs.flake-parts.lib.mkFlake { inherit inputs; } {
      systems = [ "x86_64-linux" "aarch64-linux" ];

      perSystem = { system, pkgs, config, ... }: {
        _module.args = {
          inherit inputs;
          pkgs = import inputs.nixpkgs { inherit system; };
        };

        devShells.default = let
          google-font-downloader = pkgs.writeShellScriptBin "google-font-downloader" ''
            echo "Attempting to fetch $1"
            ${pkgs.nodejs}/bin/npx google-font-downloader -- $1
            rm ./_includes/styles/typography.scss || true
            echo "/* To regenerate this file, run $ google-font-downloader '$1' */" >> ./_includes/styles/typography.scss 
            echo "" >> ./_includes/styles/typography.scss 
            cat ./google-fonts-*.css >> ./_includes/styles/typography.scss
            rm ./google-fonts-*.css || true
          '';
        in pkgs.mkShell {
          buildInputs = with pkgs; [
            deno
            google-font-downloader
          ];

          shellHook = ''
            export NVIM_USE_DENOLS=1
          '';
        };
      };
    };
}
